Contact Sales 1-630-530-5400 Ext. 2 My Account

IX MSI Installers

Required dependencies:

VS2010 C++ Runtime

Install Notes:

You must install both the low level MSI’s that matches your OS type and Twain Driver MSI’s along with VS2010 C++.

PS600ix

PS667ix

DS687ix